MPIX2COORD(1)

NAME
mPix2Coord - Output the sky location corresponding to a pixel coordinate

SYNOPSIS
mPix2Coord [-d] template.hdr ixpix jypix

DESCRIPTION
Takes an image FITS header template and a pixel (x,y) coordinate, and outputs the corresponding sky location.
  Newer mExamine can do the same and more for real image files.

OPTIONS

-d  Print out additional debugging information

ARGUMENTS

template.hdr
    ASCII header template describing the image (either a FITS image, or a JPEG file created from the FITS file)

ixpix
    X coordinate (pixel location) on image

jypix
    Y coordinate (pixel location) on image

RESULT
[struct stat="OK", lon=ra, lat=dec]

where ra, dec are the sky coordinates that correspond to the input pixel.

MESSAGES

OK  [struct stat="OK", lon=ra, lat=dec]

ERROR
    Bad template: template.hdr

ERROR
    Output wcsinit() failed.

EXAMPLES

To find out what the coordinates are at the 100,130 pixel on an image defined by template.hdr:

$ mPix2Coord template.hdr 100 130
    [struct stat="OK", lon=0.027777, lat=0.036110]

BUGS
The drizzle algorithm has been implemented but has not been tested in this release.

If a header template contains carriage returns (i.e., created/modified on a Windows machine), the cfitsio library will be unable to read it properly, resulting in the error: [struct stat="ERROR", status=207, msg="illegal character in keyword"]

It is best for the background correction algorithms if the area described in the header template completely encloses all of the input images in their entirety. If parts of input images are "chopped off" by the header template, the background correction will be affected. We recommend you use an expanded header for the reprojection and background modeling steps, returning to the originally desired header size for the final coaddition. The default background matching assumes that there are no non-linear background variations in the individual images (and therefore in the overlap differences). If there is any uncertainty in this regard, it is safer to turn on the "level only" background matching (the "-l" flag in mBgModel.

COPYRIGHT
2001-2015 California Institute of Technology, Pasadena, California

If your research uses Montage, please include the following acknowledgement: "This research made use of Montage. It is funded by the National Science Foundation under Grant Number ACI-1440620, and was previously funded by the National Aeronautics and Space Administration's Earth Science Technology Office, Computation Technologies Project, under Cooperative Agreement Number NCC5-626 between NASA and the California Institute of Technology."

The Montage distribution includes an adaptation of the MOPEX algorithm developed at the Spitzer Science Center.